#
# spec file for package openstack-nova-docker
#
# Copyright (c) 2016 SUSE LINUX GmbH, Nuernberg, Germany.
#
# All modifications and additions to the file contributed by third parties
# remain the property of their copyright owners, unless otherwise agreed
# upon. The license for this file, and modifications and additions to the
# file, is the same license as for the pristine package itself (unless the
# license for the pristine package is not an Open Source License, in which
# case the license is the MIT License). An "Open Source License" is a
# license that conforms to the Open Source Definition (Version 1.9)
# published by the Open Source Initiative.

# Please submit bugfixes or comments via http://bugs.opensuse.org/
#


%define component nova-docker

%define version_unconverted 0.0.1.dev275

Name:           openstack-%{component}
Version:        0.0.1~a0~dev275
Release:        1.3
Summary:        Docker Driver for OpenStack Compute (Nova)
License:        Apache-2.0
Group:          System/Management
Url:            https://wiki.openstack.org/wiki/Docker
Source:         http://tarballs.openstack.org/nova-docker/nova-docker-master.tar.gz
BuildRequires:  fdupes
BuildRequires:  openstack-suse-macros
BuildRequires:  python-base
BuildRequires:  python-pbr >= 0.5.21
Requires:       python >= 2.6.8
Requires:       python-Babel >= 1.3
Requires:       python-docker-py >= 1.6.0
Requires:       python-oslo.concurrency >= 3.5.0
Requires:       python-oslo.config >= 3.9.0
Requires:       python-oslo.serialization >= 1.10.0
Requires:       python-oslo.utils >= 3.5.0
Requires:       python-pbr >= 1.6
Requires:       python-six >= 1.9.0
BuildRoot:      %{_tmppath}/%{name}-%{version}-build
%if 0%{?suse_version} && 0%{?suse_version} <= 1110
%{!?python_sitelib: %global python_sitelib %(python -c "from distutils.sysconfig import get_python_lib; print get_python_lib()")}
%else
BuildArch:      noarch
%endif

%description
The Docker driver is a hypervisor driver for Openstack Nova Compute.

%package test
Summary:        Docker Driver for OpenStack Compute (Nova) - Testsuite
Group:          System/Management
Requires:       %{name} = %{version}
Requires:       python-coverage >= 3.6
%if 0%{?suse_version} && 0%{?suse_version} <= 1110
Requires:       python-discover
%endif
Requires:       python-fixtures >= 1.3.1
Requires:       python-mock >= 1.2
Requires:       python-mox >= 0.5.3
Requires:       python-nova
Requires:       python-python-subunit >= 0.0.18
Requires:       python-testrepository >= 0.0.18
Requires:       python-testscenarios >= 0.4
Requires:       python-testtools >= 1.4.0

%description test
The testsuite for the Docker driver for OpenStack Nova Compute.

%prep
%setup -q -n %{component}-%{version_unconverted}
%openstack_cleanup_prep

%build
python setup.py build

%install
python setup.py install --root %{buildroot} --prefix %{_prefix}

install -d -m 755 %{buildroot}%{_sysconfdir}/nova/
cp -a etc/nova/rootwrap.d/ %{buildroot}%{_sysconfdir}/nova/

%fdupes %{buildroot}%{python_sitelib}/nova_docker-*.egg-info

%files
%defattr(-,root,root,-)
%doc LICENSE README.rst
%dir %{_sysconfdir}/nova
%dir %{_sysconfdir}/nova/rootwrap.d
%config %{_sysconfdir}/nova/rootwrap.d/docker.filters
%{python_sitelib}/novadocker/
%{python_sitelib}/nova_docker-*.egg-info
# Part of test subpackage
%exclude %{python_sitelib}/novadocker/tests/

%files test
%defattr(-,root,root)
%{python_sitelib}/novadocker/tests/

%changelog
* Sat Jun 25 2016 cloud-devel@suse.de
- Update to version nova-docker-0.0.1.dev275:
  * add active_migrations attribute to DockerDriver
* Sun Apr 17 2016 cloud-devel@suse.de
- Update to version nova-docker-0.0.1.dev274:
  * Updated from global requirements
* Sat Apr 16 2016 cloud-devel@suse.de
- Update to version nova-docker-0.0.1.dev273:
  * Adds Windows support
* Wed Apr 13 2016 cloud-devel@suse.de
- Update to version nova-docker-0.0.1.dev272:
  * Updated from global requirements
* Fri Apr  8 2016 cloud-devel@suse.de
- Update to version nova-docker-0.0.1.dev271:
  * Updated from global requirements
* Wed Mar 30 2016 cloud-devel@suse.de
- Update to version nova-docker-0.0.1.dev270:
  * Fix vlan detection in vif driver
* Sat Mar 19 2016 cloud-devel@suse.de
- Update to version nova-docker-0.0.1.dev269:
  * Deal better with test_live_migration
* Thu Mar  3 2016 cloud-devel@suse.de
- Update to version nova-docker-0.0.1.dev268:
  * Better debug install_docker.sh failures
  * Add docs to tox
  * Updated from global requirements
* Fri Feb 26 2016 cloud-devel@suse.de
- Update to version nova-docker-0.0.1.dev263:
  * Updated from global requirements
  * Updated from global requirements
  * Convert old code in extras.d into devstack plugin
  * Get Tempest DSVM back on its feet
  * Updated from global requirements
  * Updated from global requirements
  * compute: convert manager to use nova.objects.ImageMeta
  * When creating a container wait for network events
  * Updated from global requirements
  * Updated from global requirements
  * Remove MANIFEST.in
  * py26/py33 are no longer supported by Infra's CI
* Fri Jan  8 2016 cloud-devel@suse.de
- Update to version nova-docker-0.0.1.dev247:
  * Updated from global requirements
* Thu Dec 24 2015 cloud-devel@suse.de
- Update to version nova-docker-0.0.1.dev246:
  * remove python 2.6 trove classifier
* Thu Dec 17 2015 cloud-devel@suse.de
- Update to version nova-docker-0.0.1.dev245:
  * Updated from global requirements
* Sun Dec 13 2015 cloud-devel@suse.de
- Update to version nova-docker-0.0.1.dev244:
  * Updated from global requirements
* Thu Dec  3 2015 cloud-devel@suse.de
- Update to version nova-docker-0.0.1.dev243:
  * Disable TSO for Docker network interface
* Wed Dec  2 2015 cloud-devel@suse.de
- Update to version nova-docker-0.0.1.dev241:
  * Use version convert methods from oslo_utils.versionutils
* Wed Nov 25 2015 cloud-devel@suse.de
- Update to version nova-docker-0.0.1.dev240:
  * Remove redundant pipe in command line
* Fri Nov 20 2015 cloud-devel@suse.de
- Update to version nova-docker-0.0.1.dev239:
  * Updated from global requirements
* Thu Nov 12 2015 cloud-devel@suse.de
- Update to version nova-docker-0.0.1.dev238:
  * Updated from global requirements
* Mon Nov  9 2015 cloud-devel@suse.de
- Update to version nova-docker-0.0.1.dev237:
  * Update for new namespace, stackforge -> openstack
  * Update .gitreview for new namespace
* Sun Oct 18 2015 cloud-devel@suse.de
- Update to version nova-docker-0.0.1.dev235:
  * Updated from global requirements
* Wed Sep 30 2015 cloud-devel@suse.de
- Update to version nova-docker-0.0.1.dev234:
  * Update README.rst
* Thu Sep 24 2015 cloud-devel@suse.de
- Update to version nova-docker-0.0.1.dev233:
  * Find container by uuid instead of by name
* Wed Sep 23 2015 cloud-devel@suse.de
- Update to version nova-docker-0.0.1.dev232:
  * Change ignore-errors to ignore_errors
  * Updated from global requirements
* Sat Sep 12 2015 cloud-devel@suse.de
- Update to version nova-docker-0.0.1.dev229:
  * Up lo device when start container
* Thu Sep 10 2015 cloud-devel@suse.de
- Update to version nova-docker-0.0.1.dev227:
  * Make "privileged" configurable and pass it to docker client
* Sat Sep  5 2015 cloud-devel@suse.de
- Update to version nova-docker-0.0.1.dev226:
  * Bump timeout and Docker API version
* Fri Sep  4 2015 cloud-devel@suse.de
- Update to version nova-docker-0.0.1.dev225:
  * Setup for translation
  * Replace glance image-create with openstack image-create
* Tue Sep  1 2015 cloud-devel@suse.de
- Update to version nova-docker-0.0.1.dev223:
  * Driver should return mandatory attribute
* Sat Aug 29 2015 cloud-devel@suse.de
- Update to version nova-docker-0.0.1.dev222:
  * Switching to latest repo and runtime
  * vif: Setup MTU on if_remote_name when attach
  * tidy the documentation
* Fri Aug 28 2015 cloud-devel@suse.de
- Update to version nova-docker-0.0.1.dev216:
  * Updated from global requirements
* Thu Aug 27 2015 cloud-devel@suse.de
- Update to version nova-docker-0.0.1.dev215:
  * Updated from global requirements
* Mon Aug 17 2015 cloud-devel@suse.de
- Update to version nova-docker-0.0.1.dev214:
  * Fix build break from oslo-incubator cleanup in Nova
* Sun Jul  5 2015 cloud-devel@suse.de
- Update to version nova-docker-0.0.1.dev213:
  * Updated from global requirements
* Thu Jun 25 2015 cloud-devel@suse.de
- Update to version nova-docker-0.0.1.dev212:
  * Fix docker daemon 1.7 startup option
  * Updated from global requirements
* Tue Jun 23 2015 cloud-devel@suse.de
- Update to version nova-docker-0.0.1.dev210:
  * Updated from global requirements
* Wed Jun 17 2015 cloud-devel@suse.de
- Update to version nova-docker-0.0.1.dev209:
  * Disable object_storage tempest tests
* Tue Jun 16 2015 cloud-devel@suse.de
- Update to version nova-docker-0.0.1.dev207:
  * Don't require a special pbr version in setup.py
  * Add note for bootable docker image
  * Add support to load image from glance shared directory
  * Remove duplicated test 'test_get_available_resource'
* Tue Jun 16 2015 cloud-devel@suse.de
- Update to version nova-docker-0.0.1.dev200:
  * Cleanup vifs for error instance
  * Fixes boot command in README
* Tue Jun  2 2015 cloud-devel@suse.de
- Update to version nova-docker-0.0.1.dev197:
  * Handling attaching of multiple vifs. Closes-Bug: #1458655
* Sat May 30 2015 cloud-devel@suse.de
- Update to version nova-docker-0.0.1.dev196:
  * During opencontrail attach vifs the containers use dhclient to lease an ip address. When bulk container create request is sent, the /var/lib/dhcp/dhclient.leases file is overwritten. Due to the corrupted file Successive docker containers are not getting IP lease as the dhclient command is failling
* Sat May 23 2015 cloud-devel@suse.de
- Update to version nova-docker-0.0.1.dev194:
  * Remove unnecessary openstack-common.conf
  * Virtual machine mode validation causes build break
* Sun May 17 2015 cloud-devel@suse.de
- Update to version nova-docker-0.0.1.dev192:
  * Enable hard requirements check
  * Setup for translation
* Fri May 15 2015 cloud-devel@suse.de
- Update to version nova-docker-0.0.1.dev190:
  * Update to latest global requirements
* Thu Apr 30 2015 cloud-devel@suse.de
- Update to version nova-docker-0.0.0.post190:
  * Do not enable swift/ceilometer/sahara
* Tue Apr 28 2015 cloud-devel@suse.de
- Update to version nova-docker-0.0.0.post189:
  * Fix to use the get_flavor method to retrieve the flavor information from the Instance Object
  * Update to latest global requirements
  * Interface lost in Docker conatainer after reboot
* Mon Apr 27 2015 cloud-devel@suse.de
- Update to version nova-docker-0.0.0.post185:
  * Switch off Trove tempest tests
  * Better check for docker on CentOS
* Fri Apr 10 2015 vuntz@suse.com
- Changes python-subunit Requires to python-python-subunit.
* Thu Apr  9 2015 vuntz@suse.com
- Update to master:
  * Port run_tests.sh from Nova
  * Inject SSH keys into the docker container
  * Follow changes in Nova trunk
  * Flesh out total and used vcpu information
  * Flesh out readme a bit
  * Fix Spawn signature and Update to latest global requirements
  * Return empty string for get_console_output
  * Extract DNS entries from network_info
  * Configure root directory for docker daemon
  * Pass launch metadata as enviroment variables
  * Gather some information about docker version/environment
  * Enable debug logging for Docker Daemon and collect logs
  * Fix check for log file path
  * catches inspect_image APIError exceptin when no local image exists
  * Sync up with latest requirements
  * Install Optional AUFS filesystem support
  * Add a new script for copying logs
  * Unpause the container before stopping
  * Keeping up with global requirements
  * Give some time for docker.stop to work
  * Remove default cmd setting for docker image
  * Fix build breaks by using instance.flavor where appropriate
  * vifs: replace 'ifconfig' usage with 'ip'
  * vif: Add support for VIF_TYPE_MIDONET
  * Sync oslo imports to be in line with Nova trunk
  * need to explicitly bring link up when using 'ip'
  * OpenContrail support for nova-docker
  * Adds Security Group support with OVS Bridge
  * plumgrid iovisor support for docker vifs
* Wed Mar 11 2015 vuntz@suse.com
- Initial package (for juno).
